<?php
/**
 * 連載記事ユニット縦5列.
 *
 * @package extunits\extBImg5Txt5
 *
 * @copyright 2008-2017 Shift Tech Inc. All Rights Reserved.
 * @author    シフトテック株式会社<http://www.shift-tech.jp>
 *
 * @version 1.0
 */
function extunit_install($param, $db) {
//    $sql[] = 'DROP TABLE IF EXISTS extunit_extflash CASCADE;';
//    $sql[] = 'DROP TABLE IF EXISTS extunit_extflash_tmp CASCADE;';
//    $sql[] = 'DROP TABLE IF EXISTS extunit_extflash_img CASCADE;';
//    $sql[] = 'DROP TABLE IF EXISTS extunit_extflash_img_tmp CASCADE;';

    switch(DBTYPE) {
        case 'pgsql':
                $sql[] = 'CREATE TABLE extunit_extbimg5txt5 (
                    pageu_code            integer,
                    big5tx5_img1        text,
                    big5tx5_alt1        text,
                    big5tx5_cap1        text,
                    big5tx5_clc_flg1    smallint default 0,
                    big5tx5_jmp_url1    text,
                    big5tx5_jmp_flg1    smallint default 1,
                    big5tx5_txt1        text,
                    big5tx5_img2        text,
                    big5tx5_alt2        text,
                    big5tx5_cap2        text,
                    big5tx5_clc_flg2    smallint default 0,
                    big5tx5_jmp_url2    text,
                    big5tx5_jmp_flg2    smallint default 1,
                    big5tx5_txt2        text,
                    big5tx5_img3        text,
                    big5tx5_alt3        text,
                    big5tx5_cap3        text,
                    big5tx5_clc_flg3    smallint default 0,
                    big5tx5_jmp_url3    text,
                    big5tx5_jmp_flg3    smallint default 1,
                    big5tx5_txt3        text,
                    big5tx5_img4        text,
                    big5tx5_alt4        text,
                    big5tx5_cap4        text,
                    big5tx5_clc_flg4    smallint default 0,
                    big5tx5_jmp_url4    text,
                    big5tx5_jmp_flg4    smallint default 1,
                    big5tx5_txt4        text,
                    big5tx5_img5        text,
                    big5tx5_alt5        text,
                    big5tx5_cap5        text,
                    big5tx5_clc_flg5    smallint default 0,
                    big5tx5_jmp_url5    text,
                    big5tx5_jmp_flg5    smallint default 1,
                    big5tx5_txt5        text,
                    big5tx5_img1_sp     text,
                    big5tx5_img2_sp     text,
                    big5tx5_img3_sp     text,
                    big5tx5_img4_sp     text,
                    big5tx5_img5_sp     text,
                    big5tx5_sp_layout   smallint not null default 0,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                );';
                $sql[] = 'CREATE TABLE extunit_extbimg5txt5_tmp (
                    pageu_code            integer,
                    big5tx5_img1        text,
                    big5tx5_alt1        text,
                    big5tx5_cap1        text,
                    big5tx5_clc_flg1    smallint default 0,
                    big5tx5_jmp_url1    text,
                    big5tx5_jmp_flg1    smallint default 1,
                    big5tx5_txt1        text,            
                    big5tx5_img2        text,            
                    big5tx5_alt2        text,            
                    big5tx5_cap2        text,            
                    big5tx5_clc_flg2    smallint default 0,
                    big5tx5_jmp_url2    text,            
                    big5tx5_jmp_flg2    smallint default 1,
                    big5tx5_txt2        text,            
                    big5tx5_img3        text,            
                    big5tx5_alt3        text,            
                    big5tx5_cap3        text,            
                    big5tx5_clc_flg3    smallint default 0,
                    big5tx5_jmp_url3    text,
                    big5tx5_jmp_flg3    smallint default 1,
                    big5tx5_txt3        text,
                    big5tx5_img4        text,
                    big5tx5_alt4        text,
                    big5tx5_cap4        text,
                    big5tx5_clc_flg4    smallint default 0,
                    big5tx5_jmp_url4    text,
                    big5tx5_jmp_flg4    smallint default 1,
                    big5tx5_txt4        text,
                    big5tx5_img5        text,
                    big5tx5_alt5        text,
                    big5tx5_cap5        text,
                    big5tx5_clc_flg5    smallint default 0,
                    big5tx5_jmp_url5    text,
                    big5tx5_jmp_flg5    smallint default 1,
                    big5tx5_txt5        text,
                    big5tx5_img1_sp     text,
                    big5tx5_img2_sp     text,
                    big5tx5_img3_sp     text,
                    big5tx5_img4_sp     text,
                    big5tx5_img5_sp     text,
                    big5tx5_sp_layout   smallint not null default 0,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                );';
            break;
            
            case "mysql":
                $sql[] = 'CREATE TABLE extunit_extbimg5txt5 (
                    pageu_code            integer,
                    big5tx5_img1        text,
                    big5tx5_alt1        text,
                    big5tx5_cap1        text,
                    big5tx5_clc_flg1    smallint default 0,
                    big5tx5_jmp_url1    text,
                    big5tx5_jmp_flg1    smallint default 1,
                    big5tx5_txt1        text,            
                    big5tx5_img2        text,            
                    big5tx5_alt2        text,            
                    big5tx5_cap2        text,            
                    big5tx5_clc_flg2    smallint default 0,
                    big5tx5_jmp_url2    text,
                    big5tx5_jmp_flg2    smallint default 1,
                    big5tx5_txt2        text,            
                    big5tx5_img3        text,            
                    big5tx5_alt3        text,            
                    big5tx5_cap3        text,            
                    big5tx5_clc_flg3    smallint default 0,
                    big5tx5_jmp_url3    text,
                    big5tx5_jmp_flg3    smallint default 1,
                    big5tx5_txt3        text,
                    big5tx5_img4        text,
                    big5tx5_alt4        text,
                    big5tx5_cap4        text,
                    big5tx5_clc_flg4    smallint default 0,
                    big5tx5_jmp_url4    text,
                    big5tx5_jmp_flg4    smallint default 1,
                    big5tx5_txt4        text,
                    big5tx5_img5        text,
                    big5tx5_alt5        text,
                    big5tx5_cap5        text,
                    big5tx5_clc_flg5    smallint default 0,
                    big5tx5_jmp_url5    text,
                    big5tx5_jmp_flg5    smallint default 1,
                    big5tx5_txt5        text,
                    big5tx5_img1_sp     text,
                    big5tx5_img2_sp     text,
                    big5tx5_img3_sp     text,
                    big5tx5_img4_sp     text,
                    big5tx5_img5_sp     text,
                    big5tx5_sp_layout   smallint not null default 0,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                )TYPE = InnoDB DEFAULT CHARSET=utf8';
                $sql[] = 'CREATE TABLE extunit_extbimg5txt5_tmp (
                    pageu_code            integer,
                    big5tx5_img1        text,
                    big5tx5_alt1        text,
                    big5tx5_cap1        text,
                    big5tx5_clc_flg1    smallint default 0,
                    big5tx5_jmp_url1    text,
                    big5tx5_jmp_flg1    smallint default 1,
                    big5tx5_txt1        text,            
                    big5tx5_img2        text,            
                    big5tx5_alt2        text,            
                    big5tx5_cap2        text,            
                    big5tx5_clc_flg2    smallint default 0,
                    big5tx5_jmp_url2    text,
                    big5tx5_jmp_flg2    smallint default 1,
                    big5tx5_txt2        text,            
                    big5tx5_img3        text,            
                    big5tx5_alt3        text,            
                    big5tx5_cap3        text,            
                    big5tx5_clc_flg3    smallint default 0,
                    big5tx5_jmp_url3    text,
                    big5tx5_jmp_flg3    smallint default 1,
                    big5tx5_txt3        text,
                    big5tx5_img4        text,
                    big5tx5_alt4        text,
                    big5tx5_cap4        text,
                    big5tx5_clc_flg4    smallint default 0,
                    big5tx5_jmp_url4    text,
                    big5tx5_jmp_flg4    smallint default 1,
                    big5tx5_txt4        text,
                    big5tx5_img5        text,
                    big5tx5_alt5        text,
                    big5tx5_cap5        text,
                    big5tx5_clc_flg5    smallint default 0,
                    big5tx5_jmp_url5    text,
                    big5tx5_jmp_flg5    smallint default 1,
                    big5tx5_txt5        text,
                    big5tx5_img1_sp     text,
                    big5tx5_img2_sp     text,
                    big5tx5_img3_sp     text,
                    big5tx5_img4_sp     text,
                    big5tx5_img5_sp     text,
                    big5tx5_sp_layout   smallint not null default 0,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                )TYPE = InnoDB DEFAULT CHARSET=utf8;';

                if (isset($db->dbversion) && version_compare($db->dbversion, "5.0.0", ">=")) {
                    foreach ((array)$sql as $k => $v) {
                        $sql[$k] = str_replace('TYPE=InnoDB', 'ENGINE = InnoDB', $v);
                        $sql[$k] = str_replace('TYPE = InnoDB', 'ENGINE = InnoDB', $v);
                    }
                }
            break;
        default:
            return false;
            break;
    }
    //sqlの実行
    if(!is_array($sql)||!count($sql)>0) {
        //テーブルのないモジュール、ユニットは存在させない
        return false;
    }
    foreach($sql as $key => $val) {
        if(!$db->query($val)) {
            return false;
        }
    }
    return true;
}
?>